Index: /code/trunk/src/modules/pickup/DroppedPickup.cc
===================================================================
--- /code/trunk/src/modules/pickup/DroppedPickup.cc	(revision 6539)
+++ /code/trunk/src/modules/pickup/DroppedPickup.cc	(revision 6540)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file DroppedPickup.cc
     @brief Implementation of the DroppedPickup class.
 */
@@ -36,4 +36,5 @@
 #include "core/CoreIncludes.h"
 #include "interfaces/Pickupable.h"
+#include "interfaces/PickupCarrier.h"
 #include "graphics/Model.h"
 
@@ -65,10 +66,12 @@
         The distance at which the PickupSpawner triggers. Default is 10.
     */
-    DroppedPickup::DroppedPickup(BaseObject* creator, Pickupable* pickup, const Vector3& position, float triggerDistance) : PickupSpawner(creator, pickup, triggerDistance, 10, 1)
+    DroppedPickup::DroppedPickup(BaseObject* creator, Pickupable* pickup, PickupCarrier* carrier, float triggerDistance) : PickupSpawner(creator, pickup, triggerDistance, 5, 1)
     {   
         RegisterObject(DroppedPickup);
 
-        this->setPosition(position);
+        this->setPosition(carrier->getCarrierPosition());
         this->setActive(false);
+        
+        //TODO: Do more elegantly.
         this->startRespawnTimer();
     }
Index: /code/trunk/src/modules/pickup/DroppedPickup.h
===================================================================
--- /code/trunk/src/modules/pickup/DroppedPickup.h	(revision 6539)
+++ /code/trunk/src/modules/pickup/DroppedPickup.h	(revision 6540)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file DroppedPickup.h
     @brief Definition of the DroppedPickup class.
 */
@@ -53,5 +53,5 @@
         public:
             DroppedPickup(BaseObject* creator); //!< Default constructor.
-            DroppedPickup(BaseObject* creator, Pickupable* pickup, const Vector3& position, float triggerDistance = 10.0); //!< Constructor.
+            DroppedPickup(BaseObject* creator, Pickupable* pickup, PickupCarrier* carrier, float triggerDistance = 10.0); //!< Constructor.
             virtual ~DroppedPickup(); //!< Destructor.
 
Index: /code/trunk/src/modules/pickup/Pickup.cc
===================================================================
--- /code/trunk/src/modules/pickup/Pickup.cc	(revision 6539)
+++ /code/trunk/src/modules/pickup/Pickup.cc	(revision 6540)
@@ -27,4 +27,9 @@
 */
 
+/**
+    @file Pickup.cc
+    @brief Implementation of the Pickup class.
+*/
+
 #include "Pickup.h"
 
@@ -41,7 +46,4 @@
     /*static*/ const std::string Pickup::durationTypeOnce_s = "once";
     /*static*/ const std::string Pickup::durationTypeContinuous_s = "continuous";
-    
-    //TODO: Should this be here? Does it work without?
-    CreateFactory(Pickup);
     
     Pickup::Pickup(BaseObject* creator) : BaseObject(creator)
@@ -224,7 +226,7 @@
         Returns true if a spawner was created, false if not.
     */
-    bool Pickup::createSpawner(const Vector3& position)
-    {
-        new DroppedPickup(this, this, position);
+    bool Pickup::createSpawner(void)
+    {
+        new DroppedPickup(this, this, this->getCarrier());
         return true;
     }
Index: /code/trunk/src/modules/pickup/Pickup.h
===================================================================
--- /code/trunk/src/modules/pickup/Pickup.h	(revision 6539)
+++ /code/trunk/src/modules/pickup/Pickup.h	(revision 6540)
@@ -25,4 +25,9 @@
  *      ...
  *
+*/
+
+/**
+    @file Pickup.h
+    @brief Declaration of the Pickup class.
 */
 
@@ -70,6 +75,8 @@
     {
         
+        protected:
+            Pickup(BaseObject* creator); //!< Constructor.
+        
         public:
-            Pickup(BaseObject* creator); //!< Constructor.
             virtual ~Pickup(); //!< Destructor.
             
@@ -124,5 +131,5 @@
             void initializeIdentifier(void);
             
-            virtual bool createSpawner(const Vector3& position); //!< Facilitates the creation of a PickupSpawner upon dropping of the Pickupable.
+            virtual bool createSpawner(void); //!< Facilitates the creation of a PickupSpawner upon dropping of the Pickupable.
             
             /**
Index: /code/trunk/src/modules/pickup/PickupCollection.cc
===================================================================
--- /code/trunk/src/modules/pickup/PickupCollection.cc	(revision 6539)
+++ /code/trunk/src/modules/pickup/PickupCollection.cc	(revision 6540)
@@ -158,5 +158,5 @@
         
         PickupCollection* pickup = dynamic_cast<PickupCollection*>(item);
-        //! Clone allPickupables this PickupCollection consist of.
+        //! Clone all Pickupables this PickupCollection consist of.
         for(std::vector<WeakPtr<Pickupable> >::iterator it = this->pickups_.begin(); it != this->pickups_.end(); it++)
         {
@@ -240,7 +240,7 @@
         Returns true if a spawner was created, false if not.
     */
-    bool PickupCollection::createSpawner(const Vector3& position)
-    {
-        new DroppedPickup(this, this, position);
+    bool PickupCollection::createSpawner(void)
+    {
+        new DroppedPickup(this, this, this->getCarrier());
         return true;
     }
Index: /code/trunk/src/modules/pickup/PickupCollection.h
===================================================================
--- /code/trunk/src/modules/pickup/PickupCollection.h	(revision 6539)
+++ /code/trunk/src/modules/pickup/PickupCollection.h	(revision 6540)
@@ -77,5 +77,5 @@
             void initializeIdentifier(void); //!< Initializes the PickupIdentifier for this pickup.
             
-            virtual bool createSpawner(const Vector3& position); //!< Facilitates the creation of a PickupSpawner upon dropping of the Pickupable.
+            virtual bool createSpawner(void); //!< Facilitates the creation of a PickupSpawner upon dropping of the Pickupable.
             
             PickupCollectionIdentifier* pickupCollectionIdentifier_; //!< The PickupCollectionIdentifier of this PickupCollection. Is used to distinguish different PickupCollections amongst themselves.
Index: /code/trunk/src/modules/pickup/PickupManager.cc
===================================================================
--- /code/trunk/src/modules/pickup/PickupManager.cc	(revision 6539)
+++ /code/trunk/src/modules/pickup/PickupManager.cc	(revision 6540)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file PickupManager.cc
     @brief Implementation of the PickupManager class.
 */
@@ -50,8 +50,6 @@
         Constructor. Registers the PickupManager and creates the default PickupRepresentation.
     */
-    PickupManager::PickupManager()
+    PickupManager::PickupManager() : defaultRepresentation_(NULL)
     {
-        this->defaultRepresentation_ = NULL;
-        this->pickupCarrierStructure_ = NULL;
         RegisterRootObject(PickupManager);
         
@@ -68,7 +66,4 @@
         if(this->defaultRepresentation_ != NULL)
             this->defaultRepresentation_->destroy();
-        
-        if(this->pickupCarrierStructure_ != NULL)
-            delete this->pickupCarrierStructure_;
     }
     
@@ -84,5 +79,4 @@
         Returns true if successful and false if not.
     */
-    //TODO: Make sure that either the PickupRepresentation is destroyed upon destruction of the PickupManager if the representation wasn't created with XMLPort.
     bool PickupManager::registerRepresentation(const PickupIdentifier* identifier, PickupRepresentation* representation)
     {
Index: /code/trunk/src/modules/pickup/PickupManager.h
===================================================================
--- /code/trunk/src/modules/pickup/PickupManager.h	(revision 6539)
+++ /code/trunk/src/modules/pickup/PickupManager.h	(revision 6540)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file PickupManager.h
     @brief Definition of the PickupManager class.
 */
@@ -46,10 +46,4 @@
 namespace orxonox
 {
-    //TODO: Actually utilize this.
-    struct PickupCarrierNode
-    {
-        Identifier* identifier;
-        std::set<PickupCarrierNode*> children;
-    };
 
     /**
@@ -74,7 +68,4 @@
             PickupRepresentation* getRepresentation(const PickupIdentifier* identifier); //!< Get the PickupRepresentation representing the Pickupable with the input PickupIdentifier.
             
-            //TODO: Delete or utilitze this.
-            //bool registerCarrier(Identifier* parent, )
-            
         private:
             static PickupManager* singletonPtr_s;
@@ -82,7 +73,4 @@
             PickupRepresentation* defaultRepresentation_; //!< The default PickupRepresentation.
             std::map<const PickupIdentifier*, PickupRepresentation*, PickupIdentifierCompare> representations_; //!< Map linking PickupIdentifiers (representing types if Pickupables) and PickupRepresentations.
-            
-            //TODO: Delete or utilize this.
-            PickupCarrierNode* pickupCarrierStructure_;
         
     };
Index: /code/trunk/src/modules/pickup/PickupRepresentation.cc
===================================================================
--- /code/trunk/src/modules/pickup/PickupRepresentation.cc	(revision 6539)
+++ /code/trunk/src/modules/pickup/PickupRepresentation.cc	(revision 6540)
@@ -27,4 +27,9 @@
 */
 
+/**
+    @file PickupRepresentation.cc
+    @brief Implementation of the PickupRepresentation class.
+*/
+
 #include "PickupRepresentation.h"
 
@@ -44,9 +49,6 @@
         This is primarily for use of the PickupManager in creating a default PickupRepresentation.
     */
-    //TODO: Not this as creator!!!
-    PickupRepresentation::PickupRepresentation() : BaseObject(this)
+    PickupRepresentation::PickupRepresentation() : BaseObject(NULL), spawnerRepresentation_(NULL)
     {
-        this->spawnerRepresentation_ = NULL;
-        
         RegisterObject(PickupRepresentation);
         
@@ -58,8 +60,6 @@
         Default Constructor. Registers the object and initializes its member variables.
     */
-    PickupRepresentation::PickupRepresentation(BaseObject* creator) : BaseObject(creator)
+    PickupRepresentation::PickupRepresentation(BaseObject* creator) : BaseObject(creator), spawnerRepresentation_(NULL)
     {
-        this->spawnerRepresentation_ = NULL;
-        
         RegisterObject(PickupRepresentation);
         
@@ -151,5 +151,5 @@
         Returns a pointer to the StaticEntity.
     */
-    //TODO: Think of more elegant solution.
+    //TODO: Possibility to define default representation through XML.
     StaticEntity* PickupRepresentation::getDefaultSpawnerRepresentation(PickupSpawner* spawner)
     {
Index: /code/trunk/src/modules/pickup/PickupRepresentation.h
===================================================================
--- /code/trunk/src/modules/pickup/PickupRepresentation.h	(revision 6539)
+++ /code/trunk/src/modules/pickup/PickupRepresentation.h	(revision 6540)
@@ -25,4 +25,9 @@
  *      ...
  *
+*/
+
+/**
+    @file PickupRepresentation.h
+    @brief Definition of the PickupRepresentation class.
 */
 
Index: /code/trunk/src/modules/pickup/PickupSpawner.cc
===================================================================
--- /code/trunk/src/modules/pickup/PickupSpawner.cc	(revision 6539)
+++ /code/trunk/src/modules/pickup/PickupSpawner.cc	(revision 6540)
@@ -28,6 +28,6 @@
 
 /**
-    @file
-    @brief Implementation of PickupSpawner.
+    @file PickupSpawner.cc
+    @brief Implementation of the PickupSpawner class.
 */
 
@@ -52,9 +52,9 @@
         Pointer to the object which created this item.
     */
-    PickupSpawner::PickupSpawner(BaseObject* creator) : StaticEntity(creator)
-    {
+    PickupSpawner::PickupSpawner(BaseObject* creator) : StaticEntity(creator), pickup_(NULL)
+    {
+        RegisterObject(PickupSpawner);
+        
         this->initialize();
-
-        RegisterObject(PickupSpawner);
     }
 
@@ -73,5 +73,5 @@
         The maximum number of items spawned by this PickupSpawner.
     */
-    PickupSpawner::PickupSpawner(BaseObject* creator, Pickupable* pickup, float triggerDistance, float respawnTime, int maxSpawnedItems) : StaticEntity(creator)
+    PickupSpawner::PickupSpawner(BaseObject* creator, Pickupable* pickup, float triggerDistance, float respawnTime, int maxSpawnedItems) : StaticEntity(creator), pickup_(NULL)
     {
         RegisterObject(PickupSpawner);
@@ -103,6 +103,4 @@
     void PickupSpawner::initialize(void)
     {
-        this->pickup_ = NULL;
-        
         this->triggerDistance_ = 20;
         this->respawnTime_ = 0;
@@ -170,7 +168,9 @@
         Time since last tick.
     */
-    //TODO: Replace this with a real DistanceTrigger? Or better with collisions?
+    //TODO: Replace with collisions.
     void PickupSpawner::tick(float dt)
     {
+        SUPER(PickupSpawner, tick, dt);
+        
         //! If the PickupSpawner is active.
         if (this->isActive())
@@ -215,5 +215,4 @@
         if(this->spawnsRemaining_ != 0 && this->respawnTime_ > 0)
         {
-            //TODO: Nicer? Does this even work?
             this->startRespawnTimer();
 
@@ -278,5 +277,4 @@
         Pawn which triggered the PickupSpawner.
     */
-    //TODO: Make more generic -> without pawn.
     void PickupSpawner::trigger(Pawn* pawn)
     {
@@ -314,5 +312,4 @@
             else
             {
-                //TODO: Really that severe?
                 if(target == NULL)
                     COUT(1) << "PickupSpawner: Pickupable has no target." << std::endl;
Index: /code/trunk/src/modules/pickup/PickupSpawner.h
===================================================================
--- /code/trunk/src/modules/pickup/PickupSpawner.h	(revision 6539)
+++ /code/trunk/src/modules/pickup/PickupSpawner.h	(revision 6540)
@@ -28,6 +28,6 @@
 
 /**
-    @file
-    @brief Definition of PickupSpawner.
+    @file PickupSpawner.h
+    @brief Definition of the PickupSpawner class.
 */
 
Index: /code/trunk/src/modules/pickup/items/HealthPickup.cc
===================================================================
--- /code/trunk/src/modules/pickup/items/HealthPickup.cc	(revision 6539)
+++ /code/trunk/src/modules/pickup/items/HealthPickup.cc	(revision 6540)
@@ -26,4 +26,9 @@
  *
  */
+
+/**
+    @file HealthPickup.cc
+    @brief Implementation of the HealthPickup class.
+*/
 
 #include "HealthPickup.h"
@@ -94,5 +99,4 @@
         this->pickupIdentifier_->addParameter(type1, val1);
         
-        //TODO: Does this work, is val valid outside the function scope?
         std::string val2 = this->getHealthType();
         std::string type2 = "healthType";
@@ -133,4 +137,6 @@
     void HealthPickup::tick(float dt)
     {
+        SUPER(HealthPickup, tick, dt);
+        
         if(this->isContinuous() && this->isUsed())
         {
Index: /code/trunk/src/modules/pickup/items/HealthPickup.h
===================================================================
--- /code/trunk/src/modules/pickup/items/HealthPickup.h	(revision 6539)
+++ /code/trunk/src/modules/pickup/items/HealthPickup.h	(revision 6540)
@@ -26,4 +26,9 @@
  *
  */
+
+/**
+    @file HealthPickup.h
+    @brief Declaration of the HealthPickup class.
+*/
 
 #ifndef _HealthPickup_H__
Index: /code/trunk/src/modules/weapons/projectiles/Projectile.cc
===================================================================
--- /code/trunk/src/modules/weapons/projectiles/Projectile.cc	(revision 6539)
+++ /code/trunk/src/modules/weapons/projectiles/Projectile.cc	(revision 6540)
@@ -123,12 +123,7 @@
             }
 
-            float dmg = this->damage_;
-            //TODO: Remove.
-//             if (this->owner_)
-//                 dmg = this->owner_->getPickups().processModifiers(ModifierType::Damage, dmg, false);
-
             Pawn* victim = orxonox_cast<Pawn*>(otherObject);
             if (victim)
-                victim->hit(this->owner_, contactPoint, dmg);
+                victim->hit(this->owner_, contactPoint, this->damage_);
         }
         return false;
Index: /code/trunk/src/modules/weapons/projectiles/Rocket.cc
===================================================================
--- /code/trunk/src/modules/weapons/projectiles/Rocket.cc	(revision 6539)
+++ /code/trunk/src/modules/weapons/projectiles/Rocket.cc	(revision 6540)
@@ -200,12 +200,7 @@
             }
 
-            float dmg = this->damage_;
-            //TODO: This souldn't be necessary here.
-            //if (this->owner_)
-            //    dmg = this->owner_->getPickups().processModifiers(ModifierType::Damage, dmg, false);
-
             Pawn* victim = orxonox_cast<Pawn*>(otherObject);
             if (victim)
-                victim->hit(this->owner_, contactPoint, dmg);
+                victim->hit(this->owner_, contactPoint, this->damage_);
 //             this->destroy();
         }
Index: /code/trunk/src/orxonox/interfaces/PickupCarrier.h
===================================================================
--- /code/trunk/src/orxonox/interfaces/PickupCarrier.h	(revision 6539)
+++ /code/trunk/src/orxonox/interfaces/PickupCarrier.h	(revision 6540)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file PickupCarrier.h
     @brief Definition of the PickupCarrier class.
 */
@@ -48,4 +48,5 @@
 {
 
+    //! Pre-declarations.
     class Pickup;
     class HealthPickup;
@@ -60,6 +61,6 @@
     class _OrxonoxExport PickupCarrier : virtual public OrxonoxClass
     {
-        friend class Pickupable; //!< The Pickupable has full acces to its PickupCarrier.
-        //TODO: Ugly workaround.
+         //! So that the different Pickupables have full access to their PickupCarrier.
+        friend class Pickupable;
         friend class Pickup;
         friend class HealthPickup;
@@ -108,5 +109,4 @@
             @return Returns true if the PickupCarrier or one of its children is a target, false if not.
             */
-            //TODO: Use?
             bool isTarget(const Pickupable* pickup)
                 {
@@ -154,4 +154,11 @@
                     return NULL;
                 }
+                
+            /**
+            @brief Get the (absolute) position of the PickupCarrier.
+                   This method needs to be implemented by any direct derivative class of PickupCarrier.
+            @return Returns the position as a Vector3.
+            */
+            virtual const Vector3& getCarrierPosition(void) = 0;
             
         protected:        
@@ -159,7 +166,7 @@
             @brief Get all direct children of this PickupSpawner.
                    This method needs to be implemented by any direct derivative class of PickupCarrier.
+                   The returned list will be deleted by the methods calling this function.
             @return Returns a pointer to a list of all direct children. 
             */
-            //TODO: Good return type? Maybe not const and destroyed in isTarget...
             virtual std::list<PickupCarrier*>* getCarrierChildren(void) = 0;
             /**
@@ -169,10 +176,4 @@
             */
             virtual PickupCarrier* getCarrierParent(void) = 0;
-            /**
-            @brief Get the (absolute) position of the PickupCarrier.
-                   This method needs to be implemented by any direct derivative class of PickupCarrier.
-            @return Returns the position as a Vector3.
-            */
-            virtual const Vector3& getCarrierPosition(void) = 0;
                             
             /**
Index: /code/trunk/src/orxonox/interfaces/Pickupable.cc
===================================================================
--- /code/trunk/src/orxonox/interfaces/Pickupable.cc	(revision 6539)
+++ /code/trunk/src/orxonox/interfaces/Pickupable.cc	(revision 6540)
@@ -46,9 +46,6 @@
         Constructor. Registers the objects and initializes its member variables.
     */
-    Pickupable::Pickupable()
-    {
-        this->used_ = false;
-        this->pickedUp_ = false;
-        
+    Pickupable::Pickupable() : used_(false), pickedUp_(false)
+    {        
         RegisterRootObject(Pickupable);
         
@@ -231,8 +228,8 @@
         this->setPickedUp(false);
         
-        bool created = this->createSpawner(this->getCarrier()->getCarrierPosition());
+        bool created = this->createSpawner();
         
         this->setCarrier(NULL);
-        //TODO: possible problem.
+        
         if(!created)
         {
@@ -267,5 +264,4 @@
         A reference to a pointer to the OrxonoxClass that is to be duplicated.
     */
-    //TODO: Specify how the implementation must be done in detail.
     void Pickupable::clone(OrxonoxClass*& item)
     {
Index: /code/trunk/src/orxonox/interfaces/Pickupable.h
===================================================================
--- /code/trunk/src/orxonox/interfaces/Pickupable.h	(revision 6539)
+++ /code/trunk/src/orxonox/interfaces/Pickupable.h	(revision 6540)
@@ -51,10 +51,10 @@
         Damian 'Mozork' Frick
     */
-    //TODO: Add stuff like weight/space ?
     class _OrxonoxExport Pickupable : virtual public OrxonoxClass
     {
+        protected:
+            Pickupable(); //!< Default constructor.
         
         public:
-            Pickupable(); //!< Default constructor.
             virtual ~Pickupable(); //!< Default destructor.
             
@@ -113,5 +113,4 @@
                 { return this->pickupIdentifier_; }
                 
-            //TODO: Make them work as protected.
             bool setUsed(bool used); //!< Sets the Pickupable to used or unused, depending on the input.
             bool setPickedUp(bool pickedUp); //!< Helper method to set the Pickupable to either picked up or not picked up.
@@ -131,7 +130,6 @@
             @return Returns true if a spawner was created, false if not.
             */
-            virtual bool createSpawner(const Vector3& position) = 0;
+            virtual bool createSpawner(void) = 0;
             
-            //TODO: Move to private and create get method in protected.
             PickupIdentifier* pickupIdentifier_; //!< The PickupIdentifier of this Pickupable.
             
Index: /code/trunk/src/orxonox/items/Engine.cc
===================================================================
--- /code/trunk/src/orxonox/items/Engine.cc	(revision 6539)
+++ /code/trunk/src/orxonox/items/Engine.cc	(revision 6540)
@@ -35,6 +35,4 @@
 #include "Scene.h"
 #include "worldentities/pawns/SpaceShip.h"
-//TODO: Remove.
-//#include "pickup/ModifierType.h"
 #include "tools/Shader.h"
 
@@ -194,5 +192,4 @@
         }
 
-        //TODO: Correct?
         this->ship_->setAcceleration(this->ship_->getOrientation() * acceleration);
 
Index: /code/trunk/src/orxonox/pickup/PickupIdentifier.cc
===================================================================
--- /code/trunk/src/orxonox/pickup/PickupIdentifier.cc	(revision 6539)
+++ /code/trunk/src/orxonox/pickup/PickupIdentifier.cc	(revision 6540)
@@ -26,4 +26,9 @@
  *
  */
+
+/**
+    @file PickupIdentifier.cc
+    @brief Implementation of the PickupIdentifier class.
+*/
 
 #include "PickupIdentifier.h"
Index: /code/trunk/src/orxonox/pickup/PickupIdentifier.h
===================================================================
--- /code/trunk/src/orxonox/pickup/PickupIdentifier.h	(revision 6539)
+++ /code/trunk/src/orxonox/pickup/PickupIdentifier.h	(revision 6540)
@@ -26,4 +26,9 @@
  *
  */
+
+/**
+    @file PickupIdentifier.h
+    @brief Definition of the PickupIdentifier class.
+*/
 
 #ifndef _PickupIdentifier_H__
Index: /code/trunk/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- /code/trunk/src/orxonox/worldentities/pawns/Pawn.cc	(revision 6539)
+++ /code/trunk/src/orxonox/worldentities/pawns/Pawn.cc	(revision 6540)
@@ -71,7 +71,4 @@
         this->aimPosition_ = Vector3::ZERO;
 
-        //TODO: Remove.
-        //this->getPickups().setOwner(this);
-
         if (GameMode::isMaster())
         {
@@ -297,11 +294,4 @@
     }
 
-//TODO: Remove.
-//     void Pawn::dropItems()
-//     {
-//         this->getPickups().clear();
-//     }
-
-
     /* WeaponSystem:
     *   functions load Slot, Set, Pack from XML and make sure all parent-pointers are set.
Index: /code/trunk/src/orxonox/worldentities/pawns/Pawn.h
===================================================================
--- /code/trunk/src/orxonox/worldentities/pawns/Pawn.h	(revision 6539)
+++ /code/trunk/src/orxonox/worldentities/pawns/Pawn.h	(revision 6540)
@@ -109,11 +109,4 @@
                 { return this->numexplosionchunks_; }
 
-//TODO: Remove.
-//             virtual void dropItems();
-//             inline PickupCollection& getPickups()
-//                 { return this->pickups_; }
-//             virtual void useItem()
-//                 { this->pickups_.useItem(); }
-
             virtual void startLocalHumanControl();
 
@@ -122,4 +115,7 @@
             Vector3 getAimPosition()
                 { return this->aimPosition_; }
+                
+            virtual const Vector3& getCarrierPosition(void)
+                { return this->getWorldPosition(); };
 
         protected:
@@ -136,12 +132,8 @@
             bool bAlive_;
 
-            //TODO: Remove.
-            //PickupCollection pickups_;
             virtual std::list<PickupCarrier*>* getCarrierChildren(void)
                 { return new std::list<PickupCarrier*>(); }
             virtual PickupCarrier* getCarrierParent(void)
                 { return NULL; }
-            virtual const Vector3& getCarrierPosition(void)
-                { return this->getWorldPosition(); };
 
             float health_;