Index: /code/branches/ppspickups1/data/levels/includes/pickups_speed.oxi
===================================================================
--- /code/branches/ppspickups1/data/levels/includes/pickups_speed.oxi	(revision 6541)
+++ /code/branches/ppspickups1/data/levels/includes/pickups_speed.oxi	(revision 6542)
@@ -1,9 +1,9 @@
 <PickupRepresentation
     name="SpeedBoost"
-    description="Doubles The ship's speed."
-    spawnerTemplate="speedboost"
+    description="Speeds up the Ship for a certain time."
+    spawnerTemplate="speedboostpickuprepresentation"
 >
     <pickup>
-        <HealthPickup template="speedboostpickup" />
+        <SpeedPickup template="speedboostpickup" />
     </pickup>
 </PickupRepresentation>
Index: /code/branches/ppspickups1/data/levels/pickup_ppstest.oxw
===================================================================
--- /code/branches/ppspickups1/data/levels/pickup_ppstest.oxw	(revision 6541)
+++ /code/branches/ppspickups1/data/levels/pickup_ppstest.oxw	(revision 6542)
@@ -2,15 +2,13 @@
   include("stats.oxo")
   include("hudtemplates3.oxo")
-?>
 
-<?lua
   include("templates/spaceship_assff.oxt")
   include("templates/spaceship_pirate.oxt")
-  include("templates/pickup_representation_templates.oxt")
+  -- include("templates/pickup_representation_templates_speed.oxt")
 ?>
 
 <Level
- name         = "Sample"
- description  = "Just a few tests"
+ name         = "SpeedPickupTest"
+ description  = "Test for the new Speed Pickup"
 >
   <Scene
@@ -22,11 +20,11 @@
   include("includes/pickups_speed.oxi")
 ?>
-    
+<!--
     <PickupSpawner position="-100,0,-100" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
         <pickup>
-            <MetaPickup metaType="drop" />
+            <SpeedPickup template="speedboostpickup" />
         </pickup>
     </PickupSpawner>
-
+-->
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
     <SpawnPoint position="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
Index: /code/branches/ppspickups1/data/levels/templates/pickup_representation_templates_speed.oxt
===================================================================
--- /code/branches/ppspickups1/data/levels/templates/pickup_representation_templates_speed.oxt	(revision 6541)
+++ /code/branches/ppspickups1/data/levels/templates/pickup_representation_templates_speed.oxt	(revision 6542)
@@ -1,3 +1,3 @@
-<Template name=speedboostRepresentation>
+<Template name=speedboostpickupRepresentation>
     <PickupRepresentation>
         <spawner-representation>
@@ -15,8 +15,9 @@
 </Template>
 
-<Template name=speedboost>
+<Template name="speedboostpickup">
   <SpeedPickup
-    health = 10
-    healthType = "limited"
+    speedAddition = "0"
+    speedMultiplier = "2"
+    duration = "10"
     activationType = "immediate"
     durationType = "once"
Index: /code/branches/ppspickups1/src/modules/pickup/items/CMakeLists.txt
===================================================================
--- /code/branches/ppspickups1/src/modules/pickup/items/CMakeLists.txt	(revision 6541)
+++ /code/branches/ppspickups1/src/modules/pickup/items/CMakeLists.txt	(revision 6542)
@@ -1,4 +1,8 @@
 ADD_SOURCE_FILES(PICKUP_SRC_FILES
+
   HealthPickup.cc
+
+  SpeedPickup.cc
   MetaPickup.cc
+
 )
Index: /code/branches/ppspickups1/src/modules/pickup/items/SpeedPickup.cc
===================================================================
--- /code/branches/ppspickups1/src/modules/pickup/items/SpeedPickup.cc	(revision 6542)
+++ /code/branches/ppspickups1/src/modules/pickup/items/SpeedPickup.cc	(revision 6542)
@@ -0,0 +1,28 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Damian 'Mozork' Frick
+ *   Co-authors:
+ *      ...
+ *
+ *   TODO: Implement...
+ */
Index: /code/branches/ppspickups1/src/modules/pickup/items/SpeedPickup.h
===================================================================
--- /code/branches/ppspickups1/src/modules/pickup/items/SpeedPickup.h	(revision 6542)
+++ /code/branches/ppspickups1/src/modules/pickup/items/SpeedPickup.h	(revision 6542)
@@ -0,0 +1,28 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Damian 'Mozork' Frick
+ *   Co-authors:
+ *      ...
+ *
+ *   TODO: Implement...
+ */