Index: code/branches/gamestate/data/gui/schemes/TaharezMenuWidgets.scheme
===================================================================
--- code/branches/gamestate/data/gui/schemes/TaharezMenuWidgets.scheme	(revision 6564)
+++ code/branches/gamestate/data/gui/schemes/TaharezMenuWidgets.scheme	(revision 6564)
@@ -0,0 +1,51 @@
+<?xml version="1.0" ?>
+<GUIScheme Name="TaharezMenuWidgets">
+    <Imageset Name="TaharezLook" Filename="TaharezLook.imageset" />
+    <Font Name="BlueHighway-12" Filename="BlueHighway-12.font" />
+    <LookNFeel Filename="TaharezLook.looknfeel" />
+    <WindowRendererSet Filename="CEGUIFalagardWRBase" />
+    
+    <FalagardMapping WindowType="MenuWidgets/Button"                      TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezLook/Button" />
+    <FalagardMapping WindowType="MenuWidgets/Checkbox"                    TargetType="CEGUI/Checkbox"          Renderer="Falagard/ToggleButton"      LookNFeel="TaharezLook/Checkbox" />
+    <FalagardMapping WindowType="MenuWidgets/ImageButton"                 TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezLook/ImageButton" />
+    <FalagardMapping WindowType="MenuWidgets/RadioButton"                 TargetType="CEGUI/RadioButton"       Renderer="Falagard/ToggleButton"      LookNFeel="TaharezLook/RadioButton" />
+    <FalagardMapping WindowType="MenuWidgets/FrameWindow"                 TargetType="CEGUI/FrameWindow"       Renderer="Falagard/FrameWindow"       LookNFeel="TaharezLook/FrameWindow" />
+    <FalagardMapping WindowType="MenuWidgets/Titlebar"                    TargetType="CEGUI/Titlebar"          Renderer="Falagard/Titlebar"          LookNFeel="TaharezLook/Titlebar" />
+    <FalagardMapping WindowType="MenuWidgets/SystemButton"                TargetType="CEGUI/PushButton"        Renderer="Falagard/SystemButton"      LookNFeel="TaharezLook/Button" />
+    <FalagardMapping WindowType="MenuWidgets/Editbox"                     TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="TaharezLook/Editbox" />
+    <FalagardMapping WindowType="MenuWidgets/MultiLineEditbox"            TargetType="CEGUI/MultiLineEditbox"  Renderer="Falagard/MultiLineEditbox"  LookNFeel="TaharezLook/MultiLineEditbox" />
+    <FalagardMapping WindowType="MenuWidgets/Menubar"                     TargetType="CEGUI/Menubar"           Renderer="Falagard/Menubar"           LookNFeel="TaharezLook/Menubar" />
+    <FalagardMapping WindowType="MenuWidgets/PopupMenu"                   TargetType="CEGUI/PopupMenu"         Renderer="Falagard/PopupMenu"         LookNFeel="TaharezLook/PopupMenu" />
+    <FalagardMapping WindowType="MenuWidgets/MenuItem"                    TargetType="CEGUI/MenuItem"          Renderer="Falagard/MenuItem"          LookNFeel="TaharezLook/MenuItem" />
+    <FalagardMapping WindowType="MenuWidgets/AlternateProgressBar"        TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezLook/AltProgressBar" />
+    <FalagardMapping WindowType="MenuWidgets/ProgressBar"                 TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezLook/ProgressBar" />
+    <FalagardMapping WindowType="MenuWidgets/VUMeter"                     TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezLook/VUMeter" />
+    <FalagardMapping WindowType="MenuWidgets/VerticalScrollbar"           TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezLook/VerticalScrollbar" />
+    <FalagardMapping WindowType="MenuWidgets/HorizontalScrollbar"         TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezLook/HorizontalScrollbar" />
+    <FalagardMapping WindowType="MenuWidgets/VerticalScrollbarThumb"      TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/VerticalScrollbarThumb" />
+    <FalagardMapping WindowType="MenuWidgets/HorizontalScrollbarThumb"    TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/HorizontalScrollbarThumb" />
+    <FalagardMapping WindowType="MenuWidgets/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezLook/LargeVerticalScrollbar" />
+    <FalagardMapping WindowType="MenuWidgets/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/LargeVerticalScrollbarThumb" />
+    <FalagardMapping WindowType="MenuWidgets/TabButton"                   TargetType="CEGUI/TabButton"         Renderer="Falagard/TabButton"         LookNFeel="TaharezLook/TabButton" />
+    <FalagardMapping WindowType="MenuWidgets/TabControl"                  TargetType="CEGUI/TabControl"        Renderer="Falagard/TabControl"        LookNFeel="TaharezLook/TabControl" />
+    <FalagardMapping WindowType="MenuWidgets/TabContentPane"              TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabContentPane" />
+    <FalagardMapping WindowType="MenuWidgets/TabButtonPane"               TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabButtonPane" />
+    <FalagardMapping WindowType="MenuWidgets/ComboDropList"               TargetType="CEGUI/ComboDropList"     Renderer="Falagard/Listbox"           LookNFeel="TaharezLook/ComboDropList" />
+    <FalagardMapping WindowType="MenuWidgets/ComboEditbox"                TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="TaharezLook/ComboEditbox" />
+    <FalagardMapping WindowType="MenuWidgets/Combobox"                    TargetType="CEGUI/Combobox"          Renderer="Falagard/Default"           LookNFeel="TaharezLook/Combobox" />
+    <FalagardMapping WindowType="MenuWidgets/Listbox"                     TargetType="CEGUI/Listbox"           Renderer="Falagard/Listbox"           LookNFeel="TaharezLook/Listbox" />
+    <FalagardMapping WindowType="MenuWidgets/ListHeader"                  TargetType="CEGUI/ListHeader"        Renderer="Falagard/ListHeader"        LookNFeel="TaharezLook/ListHeader" />
+    <FalagardMapping WindowType="MenuWidgets/ListHeaderSegment"           TargetType="CEGUI/ListHeaderSegment" Renderer="Falagard/ListHeaderSegment" LookNFeel="TaharezLook/ListHeaderSegment" />
+    <FalagardMapping WindowType="MenuWidgets/MultiColumnList"             TargetType="CEGUI/MultiColumnList"   Renderer="Falagard/MultiColumnList"   LookNFeel="TaharezLook/MultiColumnList" />
+    <FalagardMapping WindowType="MenuWidgets/Slider"                      TargetType="CEGUI/Slider"            Renderer="Falagard/Slider"            LookNFeel="TaharezLook/Slider" />
+    <FalagardMapping WindowType="MenuWidgets/SliderThumb"                 TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/SliderThumb" />
+    <FalagardMapping WindowType="MenuWidgets/ScrollablePane"              TargetType="CEGUI/ScrollablePane"    Renderer="Falagard/ScrollablePane"    LookNFeel="TaharezLook/ScrollablePane" />
+    <FalagardMapping WindowType="MenuWidgets/Spinner"                     TargetType="CEGUI/Spinner"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/Spinner" />
+    <FalagardMapping WindowType="MenuWidgets/Tooltip"                     TargetType="CEGUI/Tooltip"           Renderer="Falagard/Tooltip"           LookNFeel="TaharezLook/Tooltip" />
+    <FalagardMapping WindowType="MenuWidgets/StaticImage"                 TargetType="DefaultWindow"           Renderer="Falagard/StaticImage"       LookNFeel="TaharezLook/StaticImage" />
+    <FalagardMapping WindowType="MenuWidgets/StaticText"                  TargetType="DefaultWindow"           Renderer="Falagard/StaticText"        LookNFeel="TaharezLook/StaticText" />
+    <FalagardMapping WindowType="MenuWidgets/ItemListbox"                 TargetType="CEGUI/ItemListbox"       Renderer="Falagard/ItemListbox"       LookNFeel="TaharezLook/ItemListbox" />
+    <FalagardMapping WindowType="MenuWidgets/ListboxItem"                 TargetType="CEGUI/ItemEntry"         Renderer="Falagard/ItemEntry"         LookNFeel="TaharezLook/ListboxItem" />
+    <FalagardMapping WindowType="MenuWidgets/GroupBox"                    TargetType="CEGUI/GroupBox"          Renderer="Falagard/Default"           LookNFeel="TaharezLook/GroupBox" />
+    <FalagardMapping WindowType="MenuWidgets/Tree"                        TargetType="CEGUI/Tree"              Renderer="Falagard/Tree"              LookNFeel="TaharezLook/Tree" />
+</GUIScheme>
Index: code/branches/gamestate/data/gui/schemes/TaharezMenuWidgetsAliases.scheme
===================================================================
--- code/branches/gamestate/data/gui/schemes/TaharezMenuWidgetsAliases.scheme	(revision 6564)
+++ code/branches/gamestate/data/gui/schemes/TaharezMenuWidgetsAliases.scheme	(revision 6564)
@@ -0,0 +1,46 @@
+<?xml version="1.0" ?>
+<GUIScheme Name="TaharezMenuWidgetsAliases">
+    <WindowAlias Alias="TaharezLook/Button"                      Target="MenuWidgets/Button" />
+    <WindowAlias Alias="TaharezLook/Checkbox"                    Target="MenuWidgets/Checkbox" />
+    <WindowAlias Alias="TaharezLook/ImageButton"                 Target="MenuWidgets/ImageButton" />
+    <WindowAlias Alias="TaharezLook/RadioButton"                 Target="MenuWidgets/RadioButton" />
+    <WindowAlias Alias="TaharezLook/FrameWindow"                 Target="MenuWidgets/FrameWindow" />
+    <WindowAlias Alias="TaharezLook/Titlebar"                    Target="MenuWidgets/Titlebar" />
+    <WindowAlias Alias="TaharezLook/SystemButton"                Target="MenuWidgets/SystemButton" />
+    <WindowAlias Alias="TaharezLook/Editbox"                     Target="MenuWidgets/Editbox" />
+    <WindowAlias Alias="TaharezLook/MultiLineEditbox"            Target="MenuWidgets/MultiLineEditbox" />
+    <WindowAlias Alias="TaharezLook/Menubar"                     Target="MenuWidgets/Menubar" />
+    <WindowAlias Alias="TaharezLook/PopupMenu"                   Target="MenuWidgets/PopupMenu" />
+    <WindowAlias Alias="TaharezLook/MenuItem"                    Target="MenuWidgets/MenuItem" />
+    <WindowAlias Alias="TaharezLook/AlternateProgressBar"        Target="MenuWidgets/AlternateProgressBar" />
+    <WindowAlias Alias="TaharezLook/ProgressBar"                 Target="MenuWidgets/ProgressBar" />
+    <WindowAlias Alias="TaharezLook/VUMeter"                     Target="MenuWidgets/VUMeter" />
+    <WindowAlias Alias="TaharezLook/VerticalScrollbar"           Target="MenuWidgets/VerticalScrollbar" />
+    <WindowAlias Alias="TaharezLook/HorizontalScrollbar"         Target="MenuWidgets/HorizontalScrollbar" />
+    <WindowAlias Alias="TaharezLook/VerticalScrollbarThumb"      Target="MenuWidgets/VerticalScrollbarThumb" />
+    <WindowAlias Alias="TaharezLook/HorizontalScrollbarThumb"    Target="MenuWidgets/HorizontalScrollbarThumb" />
+    <WindowAlias Alias="TaharezLook/LargeVerticalScrollbar"      Target="MenuWidgets/LargeVerticalScrollbar" />
+    <WindowAlias Alias="TaharezLook/LargeVerticalScrollbarThumb" Target="MenuWidgets/LargeVerticalScrollbarThumb" />
+    <WindowAlias Alias="TaharezLook/TabButton"                   Target="MenuWidgets/TabButton" />
+    <WindowAlias Alias="TaharezLook/TabControl"                  Target="MenuWidgets/TabControl" />
+    <WindowAlias Alias="TaharezLook/TabContentPane"              Target="MenuWidgets/TabContentPane" />
+    <WindowAlias Alias="TaharezLook/TabButtonPane"               Target="MenuWidgets/TabButtonPane" />
+    <WindowAlias Alias="TaharezLook/ComboDropList"               Target="MenuWidgets/ComboDropList" />
+    <WindowAlias Alias="TaharezLook/ComboEditbox"                Target="MenuWidgets/ComboEditbox" />
+    <WindowAlias Alias="TaharezLook/Combobox"                    Target="MenuWidgets/Combobox" />
+    <WindowAlias Alias="TaharezLook/Listbox"                     Target="MenuWidgets/Listbox" />
+    <WindowAlias Alias="TaharezLook/ListHeader"                  Target="MenuWidgets/ListHeader" />
+    <WindowAlias Alias="TaharezLook/ListHeaderSegment"           Target="MenuWidgets/ListHeaderSegment" />
+    <WindowAlias Alias="TaharezLook/MultiColumnList"             Target="MenuWidgets/MultiColumnList" />
+    <WindowAlias Alias="TaharezLook/Slider"                      Target="MenuWidgets/Slider" />
+    <WindowAlias Alias="TaharezLook/SliderThumb"                 Target="MenuWidgets/SliderThumb" />
+    <WindowAlias Alias="TaharezLook/ScrollablePane"              Target="MenuWidgets/ScrollablePane" />
+    <WindowAlias Alias="TaharezLook/Spinner"                     Target="MenuWidgets/Spinner" />
+    <WindowAlias Alias="TaharezLook/Tooltip"                     Target="MenuWidgets/Tooltip" />
+    <WindowAlias Alias="TaharezLook/StaticImage"                 Target="MenuWidgets/StaticImage" />
+    <WindowAlias Alias="TaharezLook/StaticText"                  Target="MenuWidgets/StaticText" />
+    <WindowAlias Alias="TaharezLook/ItemListbox"                 Target="MenuWidgets/ItemListbox" />
+    <WindowAlias Alias="TaharezLook/ListboxItem"                 Target="MenuWidgets/ListboxItem" />
+    <WindowAlias Alias="TaharezLook/GroupBox"                    Target="MenuWidgets/GroupBox" />
+    <WindowAlias Alias="TaharezLook/Tree"                        Target="MenuWidgets/Tree" />
+</GUIScheme>
Index: code/branches/gamestate/data/gui/schemes/WindowsLook.scheme
===================================================================
--- code/branches/gamestate/data/gui/schemes/WindowsLook.scheme	(revision 6548)
+++ code/branches/gamestate/data/gui/schemes/WindowsLook.scheme	(revision 6564)
@@ -1,4 +1,4 @@
 <?xml version="1.0" ?>
-<GUIScheme Name="WindowsLookSkin">
+<GUIScheme Name="WindowsLook">
 	<Imageset Name="WindowsLook" Filename="WindowsLook.imageset" />
 	<LookNFeel Filename="WindowsLook.looknfeel" />