Index: code/branches/gamestate/data/gui/schemes/TaharezHUDWidgets.scheme
===================================================================
--- code/branches/gamestate/data/gui/schemes/TaharezMenuWidgets.scheme	(revision 6566)
+++ code/branches/gamestate/data/gui/schemes/TaharezHUDWidgets.scheme	(revision 6567)
@@ -1,46 +1,46 @@
 <?xml version="1.0" ?>
-<GUIScheme Name="TaharezMenuWidgets">
-    <WindowAlias Alias="MenuWidgets/Button"                      Target="TaharezLook/Button" />
-    <WindowAlias Alias="MenuWidgets/Checkbox"                    Target="TaharezLook/Checkbox" />
-    <WindowAlias Alias="MenuWidgets/ImageButton"                 Target="TaharezLook/ImageButton" />
-    <WindowAlias Alias="MenuWidgets/RadioButton"                 Target="TaharezLook/RadioButton" />
-    <WindowAlias Alias="MenuWidgets/FrameWindow"                 Target="TaharezLook/FrameWindow" />
-    <WindowAlias Alias="MenuWidgets/Titlebar"                    Target="TaharezLook/Titlebar" />
-    <WindowAlias Alias="MenuWidgets/SystemButton"                Target="TaharezLook/SystemButton" />
-    <WindowAlias Alias="MenuWidgets/Editbox"                     Target="TaharezLook/Editbox" />
-    <WindowAlias Alias="MenuWidgets/MultiLineEditbox"            Target="TaharezLook/MultiLineEditbox" />
-    <WindowAlias Alias="MenuWidgets/Menubar"                     Target="TaharezLook/Menubar" />
-    <WindowAlias Alias="MenuWidgets/PopupMenu"                   Target="TaharezLook/PopupMenu" />
-    <WindowAlias Alias="MenuWidgets/MenuItem"                    Target="TaharezLook/MenuItem" />
-    <WindowAlias Alias="MenuWidgets/AlternateProgressBar"        Target="TaharezLook/AlternateProgressBar" />
-    <WindowAlias Alias="MenuWidgets/ProgressBar"                 Target="TaharezLook/ProgressBar" />
-    <WindowAlias Alias="MenuWidgets/VUMeter"                     Target="TaharezLook/VUMeter" />
-    <WindowAlias Alias="MenuWidgets/VerticalScrollbar"           Target="TaharezLook/VerticalScrollbar" />
-    <WindowAlias Alias="MenuWidgets/HorizontalScrollbar"         Target="TaharezLook/HorizontalScrollbar" />
-    <WindowAlias Alias="MenuWidgets/VerticalScrollbarThumb"      Target="TaharezLook/VerticalScrollbarThumb" />
-    <WindowAlias Alias="MenuWidgets/HorizontalScrollbarThumb"    Target="TaharezLook/HorizontalScrollbarThumb" />
-    <WindowAlias Alias="MenuWidgets/LargeVerticalScrollbar"      Target="TaharezLook/LargeVerticalScrollbar" />
-    <WindowAlias Alias="MenuWidgets/LargeVerticalScrollbarThumb" Target="TaharezLook/LargeVerticalScrollbarThumb" />
-    <WindowAlias Alias="MenuWidgets/TabButton"                   Target="TaharezLook/TabButton" />
-    <WindowAlias Alias="MenuWidgets/TabControl"                  Target="TaharezLook/TabControl" />
-    <WindowAlias Alias="MenuWidgets/TabContentPane"              Target="TaharezLook/TabContentPane" />
-    <WindowAlias Alias="MenuWidgets/TabButtonPane"               Target="TaharezLook/TabButtonPane" />
-    <WindowAlias Alias="MenuWidgets/ComboDropList"               Target="TaharezLook/ComboDropList" />
-    <WindowAlias Alias="MenuWidgets/ComboEditbox"                Target="TaharezLook/ComboEditbox" />
-    <WindowAlias Alias="MenuWidgets/Combobox"                    Target="TaharezLook/Combobox" />
-    <WindowAlias Alias="MenuWidgets/Listbox"                     Target="TaharezLook/Listbox" />
-    <WindowAlias Alias="MenuWidgets/ListHeader"                  Target="TaharezLook/ListHeader" />
-    <WindowAlias Alias="MenuWidgets/ListHeaderSegment"           Target="TaharezLook/ListHeaderSegment" />
-    <WindowAlias Alias="MenuWidgets/MultiColumnList"             Target="TaharezLook/MultiColumnList" />
-    <WindowAlias Alias="MenuWidgets/Slider"                      Target="TaharezLook/Slider" />
-    <WindowAlias Alias="MenuWidgets/SliderThumb"                 Target="TaharezLook/SliderThumb" />
-    <WindowAlias Alias="MenuWidgets/ScrollablePane"              Target="TaharezLook/ScrollablePane" />
-    <WindowAlias Alias="MenuWidgets/Spinner"                     Target="TaharezLook/Spinner" />
-    <WindowAlias Alias="MenuWidgets/Tooltip"                     Target="TaharezLook/Tooltip" />
-    <WindowAlias Alias="MenuWidgets/StaticImage"                 Target="TaharezLook/StaticImage" />
-    <WindowAlias Alias="MenuWidgets/StaticText"                  Target="TaharezLook/StaticText" />
-    <WindowAlias Alias="MenuWidgets/ItemListbox"                 Target="TaharezLook/ItemListbox" />
-    <WindowAlias Alias="MenuWidgets/ListboxItem"                 Target="TaharezLook/ListboxItem" />
-    <WindowAlias Alias="MenuWidgets/GroupBox"                    Target="TaharezLook/GroupBox" />
-    <WindowAlias Alias="MenuWidgets/Tree"                        Target="TaharezLook/Tree" />
+<GUIScheme Name="TaharezHUDWidgets">
+    <WindowAlias Alias="HUDWidgets/Button"                      Target="TaharezLook/Button" />
+    <WindowAlias Alias="HUDWidgets/Checkbox"                    Target="TaharezLook/Checkbox" />
+    <WindowAlias Alias="HUDWidgets/ImageButton"                 Target="TaharezLook/ImageButton" />
+    <WindowAlias Alias="HUDWidgets/RadioButton"                 Target="TaharezLook/RadioButton" />
+    <WindowAlias Alias="HUDWidgets/FrameWindow"                 Target="TaharezLook/FrameWindow" />
+    <WindowAlias Alias="HUDWidgets/Titlebar"                    Target="TaharezLook/Titlebar" />
+    <WindowAlias Alias="HUDWidgets/SystemButton"                Target="TaharezLook/SystemButton" />
+    <WindowAlias Alias="HUDWidgets/Editbox"                     Target="TaharezLook/Editbox" />
+    <WindowAlias Alias="HUDWidgets/MultiLineEditbox"            Target="TaharezLook/MultiLineEditbox" />
+    <WindowAlias Alias="HUDWidgets/Menubar"                     Target="TaharezLook/Menubar" />
+    <WindowAlias Alias="HUDWidgets/PopupMenu"                   Target="TaharezLook/PopupMenu" />
+    <WindowAlias Alias="HUDWidgets/MenuItem"                    Target="TaharezLook/MenuItem" />
+    <WindowAlias Alias="HUDWidgets/AlternateProgressBar"        Target="TaharezLook/AlternateProgressBar" />
+    <WindowAlias Alias="HUDWidgets/ProgressBar"                 Target="TaharezLook/ProgressBar" />
+    <WindowAlias Alias="HUDWidgets/VUMeter"                     Target="TaharezLook/VUMeter" />
+    <WindowAlias Alias="HUDWidgets/VerticalScrollbar"           Target="TaharezLook/VerticalScrollbar" />
+    <WindowAlias Alias="HUDWidgets/HorizontalScrollbar"         Target="TaharezLook/HorizontalScrollbar" />
+    <WindowAlias Alias="HUDWidgets/VerticalScrollbarThumb"      Target="TaharezLook/VerticalScrollbarThumb" />
+    <WindowAlias Alias="HUDWidgets/HorizontalScrollbarThumb"    Target="TaharezLook/HorizontalScrollbarThumb" />
+    <WindowAlias Alias="HUDWidgets/LargeVerticalScrollbar"      Target="TaharezLook/LargeVerticalScrollbar" />
+    <WindowAlias Alias="HUDWidgets/LargeVerticalScrollbarThumb" Target="TaharezLook/LargeVerticalScrollbarThumb" />
+    <WindowAlias Alias="HUDWidgets/TabButton"                   Target="TaharezLook/TabButton" />
+    <WindowAlias Alias="HUDWidgets/TabControl"                  Target="TaharezLook/TabControl" />
+    <WindowAlias Alias="HUDWidgets/TabContentPane"              Target="TaharezLook/TabContentPane" />
+    <WindowAlias Alias="HUDWidgets/TabButtonPane"               Target="TaharezLook/TabButtonPane" />
+    <WindowAlias Alias="HUDWidgets/ComboDropList"               Target="TaharezLook/ComboDropList" />
+    <WindowAlias Alias="HUDWidgets/ComboEditbox"                Target="TaharezLook/ComboEditbox" />
+    <WindowAlias Alias="HUDWidgets/Combobox"                    Target="TaharezLook/Combobox" />
+    <WindowAlias Alias="HUDWidgets/Listbox"                     Target="TaharezLook/Listbox" />
+    <WindowAlias Alias="HUDWidgets/ListHeader"                  Target="TaharezLook/ListHeader" />
+    <WindowAlias Alias="HUDWidgets/ListHeaderSegment"           Target="TaharezLook/ListHeaderSegment" />
+    <WindowAlias Alias="HUDWidgets/MultiColumnList"             Target="TaharezLook/MultiColumnList" />
+    <WindowAlias Alias="HUDWidgets/Slider"                      Target="TaharezLook/Slider" />
+    <WindowAlias Alias="HUDWidgets/SliderThumb"                 Target="TaharezLook/SliderThumb" />
+    <WindowAlias Alias="HUDWidgets/ScrollablePane"              Target="TaharezLook/ScrollablePane" />
+    <WindowAlias Alias="HUDWidgets/Spinner"                     Target="TaharezLook/Spinner" />
+    <WindowAlias Alias="HUDWidgets/Tooltip"                     Target="TaharezLook/Tooltip" />
+    <WindowAlias Alias="HUDWidgets/StaticImage"                 Target="TaharezLook/StaticImage" />
+    <WindowAlias Alias="HUDWidgets/StaticText"                  Target="TaharezLook/StaticText" />
+    <WindowAlias Alias="HUDWidgets/ItemListbox"                 Target="TaharezLook/ItemListbox" />
+    <WindowAlias Alias="HUDWidgets/ListboxItem"                 Target="TaharezLook/ListboxItem" />
+    <WindowAlias Alias="HUDWidgets/GroupBox"                    Target="TaharezLook/GroupBox" />
+    <WindowAlias Alias="HUDWidgets/Tree"                        Target="TaharezLook/Tree" />
 </GUIScheme>