Index: code/branches/gamestate/data/gui/schemes/VanillaLook.scheme
===================================================================
--- code/branches/gamestate/data/gui/schemes/VanillaSkin.scheme	(revision 6430)
+++ code/branches/gamestate/data/gui/schemes/VanillaLook.scheme	(revision 6569)
@@ -1,28 +1,53 @@
 <?xml version="1.0" ?>
-<GUIScheme Name="VanillaSkin">
-	<Imageset Name="Vanilla-Images" Filename="Vanilla.imageset" />
-	<LookNFeel Filename="Vanilla.looknfeel" />
-	<WindowRendererSet Filename="CEGUIFalagardWRBase" />
-	<FalagardMapping WindowType="Vanilla/Titlebar" TargetType="CEGUI/Titlebar" Renderer="Falagard/Titlebar" LookNFeel="Vanilla/Titlebar" />
-	<FalagardMapping WindowType="Vanilla/Button" TargetType="CEGUI/PushButton" Renderer="Falagard/Button" LookNFeel="Vanilla/Button" />
-	<FalagardMapping WindowType="Vanilla/FrameWindow" TargetType="CEGUI/FrameWindow" Renderer="Falagard/FrameWindow" LookNFeel="Vanilla/FrameWindow" />
-	<FalagardMapping WindowType="Vanilla/Editbox" TargetType="CEGUI/Editbox" Renderer="Falagard/Editbox" LookNFeel="Vanilla/Editbox" />
-	<FalagardMapping WindowType="Vanilla/VerticalScrollbarThumb" TargetType="CEGUI/Thumb" Renderer="Falagard/Button" LookNFeel="Vanilla/VerticalScrollbarThumb" />
-	<FalagardMapping WindowType="Vanilla/VerticalScrollbar" TargetType="CEGUI/Scrollbar" Renderer="Falagard/Scrollbar" LookNFeel="Vanilla/VerticalScrollbar" />
-	<FalagardMapping WindowType="Vanilla/HorizontalScrollbarThumb" TargetType="CEGUI/Thumb" Renderer="Falagard/Button" LookNFeel="Vanilla/HorizontalScrollbarThumb" />
-	<FalagardMapping WindowType="Vanilla/HorizontalScrollbar" TargetType="CEGUI/Scrollbar" Renderer="Falagard/Scrollbar" LookNFeel="Vanilla/HorizontalScrollbar" />
-	<FalagardMapping WindowType="Vanilla/StaticImage" TargetType="DefaultWindow" Renderer="Falagard/StaticImage" LookNFeel="Vanilla/StaticImage" />
-	<FalagardMapping WindowType="Vanilla/StaticText" TargetType="DefaultWindow" Renderer="Falagard/StaticText" LookNFeel="Vanilla/StaticText" />
-	<FalagardMapping WindowType="Vanilla/Listbox" TargetType="CEGUI/Listbox" Renderer="Falagard/Listbox" LookNFeel="Vanilla/Listbox" />
-	<FalagardMapping WindowType="Vanilla/MultiLineEditbox" TargetType="CEGUI/MultiLineEditbox" Renderer="Falagard/MultiLineEditbox" LookNFeel="Vanilla/MultiLineEditbox" />
-<!--	
-	<FalagardMapping WindowType="Vanilla/ComboDropList" TargetType="Falagard/ComboDropList" LookNFeel="Vanilla/ComboDropList" />
-	<FalagardMapping WindowType="Vanilla/ComboboxButton" TargetType="Falagard/Button" LookNFeel="Vanilla/ComboboxButton" />
-	<FalagardMapping WindowType="Vanilla/Combobox" TargetType="Falagard/Combobox" LookNFeel="Vanilla/Combobox" />
-	<FalagardMapping WindowType="Vanilla/ProgressBar" TargetType="Falagard/ProgressBar" LookNFeel="Vanilla/ProgressBar" />
-	<FalagardMapping WindowType="Vanilla/ScrollablePane" TargetType="Falagard/ScrollablePane" LookNFeel="Vanilla/ScrollablePane" />
-	<FalagardMapping WindowType="Vanilla/Checkbox" TargetType="Falagard/Checkbox" LookNFeel="Vanilla/Checkbox" />
-	<FalagardMapping WindowType="Vanilla/RadioButton" TargetType="Falagard/RadioButton" LookNFeel="Vanilla/RadioButton" />
-	<FalagardMapping WindowType="Vanilla/ScrollablePane" TargetType="Falagard/ScrollablePane" LookNFeel="Vanilla/ScrollablePane" />
--->
+<GUIScheme Name="VanillaLook">
+    <Imageset Name="Vanilla-Images" Filename="Vanilla.imageset" />
+    <Imageset Name="TaharezLook"    Filename="TaharezLook.imageset" />
+    <LookNFeel Filename="Vanilla.looknfeel" />
+    <LookNFeel Filename="TaharezLook.looknfeel" />
+    <WindowRendererSet Filename="CEGUIFalagardWRBase" />
+
+    <!-- Standard widgets -->
+    <FalagardMapping WindowType="Vanilla/StaticImage"              TargetType="DefaultWindow"           Renderer="Falagard/StaticImage"       LookNFeel="Vanilla/StaticImage" />
+    <FalagardMapping WindowType="Vanilla/StaticText"               TargetType="DefaultWindow"           Renderer="Falagard/StaticText"        LookNFeel="Vanilla/StaticText" />
+    <FalagardMapping WindowType="Vanilla/Editbox"                  TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="Vanilla/Editbox" />
+    <FalagardMapping WindowType="Vanilla/FrameWindow"              TargetType="CEGUI/FrameWindow"       Renderer="Falagard/FrameWindow"       LookNFeel="Vanilla/FrameWindow" />
+    <FalagardMapping WindowType="Vanilla/Listbox"                  TargetType="CEGUI/Listbox"           Renderer="Falagard/Listbox"           LookNFeel="Vanilla/Listbox" />
+    <FalagardMapping WindowType="Vanilla/MultiLineEditbox"         TargetType="CEGUI/MultiLineEditbox"  Renderer="Falagard/MultiLineEditbox"  LookNFeel="Vanilla/MultiLineEditbox" />
+    <FalagardMapping WindowType="Vanilla/Button"                   TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="Vanilla/Button" />
+    <FalagardMapping WindowType="Vanilla/HorizontalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="Vanilla/HorizontalScrollbar" />
+    <FalagardMapping WindowType="Vanilla/VerticalScrollbar"        TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="Vanilla/VerticalScrollbar" />
+    <FalagardMapping WindowType="Vanilla/HorizontalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="Vanilla/HorizontalScrollbarThumb" />
+    <FalagardMapping WindowType="Vanilla/VerticalScrollbarThumb"   TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="Vanilla/VerticalScrollbarThumb" />
+    <FalagardMapping WindowType="Vanilla/Titlebar"                 TargetType="CEGUI/Titlebar"          Renderer="Falagard/Titlebar"          LookNFeel="Vanilla/Titlebar" />
+
+    <!-- Missing widgets (using Taharez LookNFeel) -->
+    <FalagardMapping WindowType="Vanilla/TabButtonPane"            TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabButtonPane" />
+    <FalagardMapping WindowType="Vanilla/TabContentPane"           TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabContentPane" />
+    <FalagardMapping WindowType="Vanilla/Checkbox"                 TargetType="CEGUI/Checkbox"          Renderer="Falagard/ToggleButton"      LookNFeel="TaharezLook/Checkbox" />
+    <FalagardMapping WindowType="Vanilla/Combobox"                 TargetType="CEGUI/Combobox"          Renderer="Falagard/Default"           LookNFeel="TaharezLook/Combobox" />
+    <FalagardMapping WindowType="Vanilla/ComboDropList"            TargetType="CEGUI/ComboDropList"     Renderer="Falagard/Listbox"           LookNFeel="TaharezLook/ComboDropList" />
+    <FalagardMapping WindowType="Vanilla/ComboEditbox"             TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="TaharezLook/ComboEditbox" />
+    <FalagardMapping WindowType="Vanilla/GroupBox"                 TargetType="CEGUI/GroupBox"          Renderer="Falagard/Default"           LookNFeel="TaharezLook/GroupBox" />
+    <FalagardMapping WindowType="Vanilla/ItemListbox"              TargetType="CEGUI/ItemListbox"       Renderer="Falagard/ItemListbox"       LookNFeel="TaharezLook/ItemListbox" />
+    <FalagardMapping WindowType="Vanilla/ListboxItem"              TargetType="CEGUI/ItemEntry"         Renderer="Falagard/ItemEntry"         LookNFeel="TaharezLook/ListboxItem" />
+    <FalagardMapping WindowType="Vanilla/ListHeader"               TargetType="CEGUI/ListHeader"        Renderer="Falagard/ListHeader"        LookNFeel="TaharezLook/ListHeader" />
+    <FalagardMapping WindowType="Vanilla/ListHeaderSegment"        TargetType="CEGUI/ListHeaderSegment" Renderer="Falagard/ListHeaderSegment" LookNFeel="TaharezLook/ListHeaderSegment" />
+    <FalagardMapping WindowType="Vanilla/Menubar"                  TargetType="CEGUI/Menubar"           Renderer="Falagard/Menubar"           LookNFeel="TaharezLook/Menubar" />
+    <FalagardMapping WindowType="Vanilla/MenuItem"                 TargetType="CEGUI/MenuItem"          Renderer="Falagard/MenuItem"          LookNFeel="TaharezLook/MenuItem" />
+    <FalagardMapping WindowType="Vanilla/MultiColumnList"          TargetType="CEGUI/MultiColumnList"   Renderer="Falagard/MultiColumnList"   LookNFeel="TaharezLook/MultiColumnList" />
+    <FalagardMapping WindowType="Vanilla/PopupMenu"                TargetType="CEGUI/PopupMenu"         Renderer="Falagard/PopupMenu"         LookNFeel="TaharezLook/PopupMenu" />
+    <FalagardMapping WindowType="Vanilla/ProgressBar"              TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezLook/ProgressBar" />
+    <FalagardMapping WindowType="Vanilla/ImageButton"              TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezLook/ImageButton" />
+    <FalagardMapping WindowType="Vanilla/RadioButton"              TargetType="CEGUI/RadioButton"       Renderer="Falagard/ToggleButton"      LookNFeel="TaharezLook/RadioButton" />
+    <FalagardMapping WindowType="Vanilla/SystemButton"             TargetType="CEGUI/PushButton"        Renderer="Falagard/SystemButton"      LookNFeel="TaharezLook/Button" />
+    <FalagardMapping WindowType="Vanilla/ScrollablePane"           TargetType="CEGUI/ScrollablePane"    Renderer="Falagard/ScrollablePane"    LookNFeel="TaharezLook/ScrollablePane" />
+    <FalagardMapping WindowType="Vanilla/Slider"                   TargetType="CEGUI/Slider"            Renderer="Falagard/Slider"            LookNFeel="TaharezLook/Slider" />
+    <FalagardMapping WindowType="Vanilla/Spinner"                  TargetType="CEGUI/Spinner"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/Spinner" />
+    <FalagardMapping WindowType="Vanilla/TabButton"                TargetType="CEGUI/TabButton"         Renderer="Falagard/TabButton"         LookNFeel="TaharezLook/TabButton" />
+    <FalagardMapping WindowType="Vanilla/TabControl"               TargetType="CEGUI/TabControl"        Renderer="Falagard/TabControl"        LookNFeel="TaharezLook/TabControl" />
+    <FalagardMapping WindowType="Vanilla/SliderThumb"              TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/SliderThumb" />
+    <FalagardMapping WindowType="Vanilla/Tooltip"                  TargetType="CEGUI/Tooltip"           Renderer="Falagard/Tooltip"           LookNFeel="TaharezLook/Tooltip" />
+    <FalagardMapping WindowType="Vanilla/Tree"                     TargetType="CEGUI/Tree"              Renderer="Falagard/Tree"              LookNFeel="TaharezLook/Tree" />
+    
+    <!-- Additional widgets -->
 </GUIScheme>