Index: code/branches/ppspickups1/data/levels/includes/pickups_speed.oxi
===================================================================
--- code/branches/ppspickups1/data/levels/includes/pickups_speed.oxi	(revision 6574)
+++ code/branches/ppspickups1/data/levels/includes/pickups_speed.oxi	(revision 6575)
@@ -1,18 +1,9 @@
 <PickupRepresentation
-    name="SpeedBoost"
-    description="Speeds up the Ship for a certain time."
-    spawnerTemplate="speedboostpickuprepresentation"
+    name = "Small Speed Boost"
+    description = "Adds a small amout of speed (?) to the ship."
+    spawnerTemplate = "smallspeedpickupRepresentation"
 >
     <pickup>
-        <SpeedPickup template="speedboostpickup" />
+        <SpeedPickup template=smallspeedpickup />
     </pickup>
 </PickupRepresentation>
-<PickupRepresentation
-    name="SpeedBoost"
-    description="Speeds up the Ship for a certain time."
-    spawnerTemplate="speedboostpickuprepresentation"
->
-    <pickup>
-        <SpeedPickup template="speedboostpickup" />
-    </pickup>
-</PickupRepresentation>
Index: code/branches/ppspickups1/data/levels/pickup_ppstest1.oxw
===================================================================
--- code/branches/ppspickups1/data/levels/pickup_ppstest1.oxw	(revision 6574)
+++ code/branches/ppspickups1/data/levels/pickup_ppstest1.oxw	(revision 6575)
@@ -2,13 +2,15 @@
   include("stats.oxo")
   include("hudtemplates3.oxo")
+?>
 
+<?lua
   include("templates/spaceship_assff.oxt")
   include("templates/spaceship_pirate.oxt")
-  -- include("templates/pickup_representation_templates_speed.oxt")
+  include("templates/pickup_representation_templates_speed.oxt")
 ?>
 
 <Level
- name         = "SpeedPickupTest"
- description  = "Test for the new Speed Pickup"
+ name         = "Sample"
+ description  = "Just a few tests"
 >
   <Scene
@@ -20,45 +22,14 @@
   include("includes/pickups_speed.oxi")
 ?>
-<!--
-    <PickupSpawner position="-100,0,-100" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
+
+    <PickupSpawner position="-25,0,-100" triggerDistance="10" respawnTime="10" maxSpawnedItems="99">
         <pickup>
-            <SpeedPickup template="speedboostpickup" />
+            <SpeedPickup template=smallspeedpickup />
         </pickup>
     </PickupSpawner>
--->
+
+
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
     <SpawnPoint position="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
   </Scene>
 </Level>
-<?lua
-  include("stats.oxo")
-  include("hudtemplates3.oxo")
-
-  include("templates/spaceship_assff.oxt")
-  include("templates/spaceship_pirate.oxt")
-  -- include("templates/pickup_representation_templates_speed.oxt")
-?>
-
-<Level
- name         = "SpeedPickupTest"
- description  = "Test for the new Speed Pickup"
->
-  <Scene
-    ambientlight = "0.8, 0.8, 0.8"
-    skybox       = "Orxonox/Starbox"
-  >
-
-<?lua
-  include("includes/pickups_speed.oxi")
-?>
-<!--
-    <PickupSpawner position="-100,0,-100" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
-        <pickup>
-            <SpeedPickup template="speedboostpickup" />
-        </pickup>
-    </PickupSpawner>
--->
-    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
-    <SpawnPoint position="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
-  </Scene>
-</Level>
Index: code/branches/ppspickups1/data/levels/templates/pickup_representation_templates_speed.oxt
===================================================================
--- code/branches/ppspickups1/data/levels/templates/pickup_representation_templates_speed.oxt	(revision 6574)
+++ code/branches/ppspickups1/data/levels/templates/pickup_representation_templates_speed.oxt	(revision 6575)
@@ -1,10 +1,10 @@
-<Template name=speedboostpickupRepresentation>
+<Template name=smallspeedpickupRepresentation>
     <PickupRepresentation>
         <spawner-representation>
             <StaticEntity>
                 <attached>
-                    <Billboard position="0,0,0" colour="1,0,0" material="Sphere2" scale=0.1>
+                    <Billboard position="0,0,0" colour="1.0,0.0,0.0" material="Sphere2" scale=0.1>
                         <attached>
-                            <Billboard position="0,0,0" colour="0,1,0" material="Cross" scale=1 />
+                            <Billboard position="0,0,0" colour="1.0,1.0,0.0" material="Cross" scale=0.7 />
                         </attached>
                     </Billboard>
@@ -15,36 +15,11 @@
 </Template>
 
-<Template name="speedboostpickup">
+<Template name=smallspeedpickup>
   <SpeedPickup
-    speedAddition = "0"
-    speedMultiplier = "2"
-    duration = "10"
+    duration = 10
+    speedAdd = 1
+    SpeedMultiply = 1
     activationType = "immediate"
     durationType = "once"
   />
 </Template>
-<Template name=speedboostpickupRepresentation>
-    <PickupRepresentation>
-        <spawner-representation>
-            <StaticEntity>
-                <attached>
-                    <Billboard position="0,0,0" colour="1,0,0" material="Sphere2" scale=0.1>
-                        <attached>
-                            <Billboard position="0,0,0" colour="0,1,0" material="Cross" scale=1 />
-                        </attached>
-                    </Billboard>
-                </attached>
-            </StaticEntity>
-        </spawner-representation>
-    </PickupRepresentation>
-</Template>
-
-<Template name="speedboostpickup">
-  <SpeedPickup
-    speedAddition = "0"
-    speedMultiplier = "2"
-    duration = "10"
-    activationType = "immediate"
-    durationType = "once"
-  />
-</Template>